Skip to main content
GET
/
v6
/
timeTracking
/
tasks
/
{id}
Get task
curl --request GET \
  --url https://sandbox.tight.com/v6/timeTracking/tasks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "tmt_28868401",
    "description": "Development work",
    "status": "ACTIVE",
    "billableRate": 15000,
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the task

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.